#!/bin/sh
MIN_DISK_FREE=20
source /etc/conf.d/vdr

DATA="$(mount | grep "on /mnt/data " | cut -f 1 -d " ")"

KBYTES_TOTAL="$(df | grep $DATA | tr -s " " | cut -f 2 -d " ")"
KBYTES_USED="$(df | grep $DATA | tr -s " " | cut -f 3 -d " ")"
KBYTES_FREE=$(($KBYTES_TOTAL - $KBYTES_USED))

if [ $KBYTES_FREE -gt $MIN_DISK_FREE ] ; then
   dd if=/dev/zero of=/mnt/data/~df bs=1M count=$MIN_DISK_FREE
   exit
fi   

# create small tempfile
dd if=/dev/zero of=/mnt/data/~df bs=1M count=$(($KBYTES_FREE/2))

while [ $KBYTES_FREE -lt $MIN_DISK_FREE ] ; do
   svdrpsend.pl MESG "Video-Platte ist voll - Aufnahmen loeschen"    
   sleep 300
   for i in $(find /video -follow -type d -name "*.del") ; do
      rm -rf $i
   done      
   # reload VDR conf file (MIN_DISK_FREE could be changed)
   source /etc/conf.d/vdr
   KBYTES_TOTAL="$(df | grep $DATA | tr -s " " | cut -f 2 -d " ")"
   KBYTES_USED="$(df | grep $DATA | tr -s " " | cut -f 3 -d " ")"
   KBYTES_FREE=$(($KBYTES_TOTAL - $KBYTES_USED))
done

dd if=/dev/zero of=/mnt/data/~df bs=1M count=$MIN_DISK_FREE
